﻿using System.Collections.Generic;
using Niche.GroupInspector.Domain;

namespace Niche.GroupInspector.Presentation
{
    /// <summary>
    /// Provider for Application Systems
    /// </summary>
    public interface IApplicationSystemProvider
    {
        /// <summary>
        /// Provide all application systems
        /// </summary>
        /// <returns>Sequence of Application Systems</returns>
        IEnumerable<ApplicationSystem> ProvideApplicationSystems();
    }
}